Get Unassigned Layers
GET
/{organization}/projects/{projectId}/layer-directory
const url = 'https://app.civillo.com/api/v1/example/projects/1/layer-directory';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.civillo.com/api/v1/example/projects/1/layer-directory \ --header 'Authorization: Bearer <token>'Get all layers that are not unassigned in the project layer directory
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
Responses
Section titled “ Responses ”Successful response
Media typeapplication/json
Array
object
id
The unique identifier for this layer
integer
layerId
The unique identifier for this layer
integer
name
The name of this layer
string
Example
[ { "id": 123, "layerId": 123, "name": "My layer" }]Unauthorized
Forbidden